#include <cstdio>
#include <cstring>
int get_category(int val) {
	int cat = 0;
	//int shift = 0;
	while (val) {
		int x = (val % 10)-1;
		cat |= (1 <<x);
		//shift++;
		val /= 10;
	}
	return cat;
}
int main() {
	char buf[1000];
	int num;
	while (scanf("%d", &num) == 1) {
		bool categories[512];
		memset(categories, 0, sizeof(categories));
		int distinct = 0;
		for (int i = 0; i < num; i++) {
			int entry;
			scanf("%d", &entry);
			int cat = get_category(entry);
			if (!categories[cat]) {
				distinct++;
				categories[cat] = 1;
			}
		}
		printf("%d\n", distinct);
	}
}
