#include <climits>
#include <cstdlib>
#include <cstdio>
#include <cstring>

#include <string>

static int n;
struct fx {
	char field[101][101];
};

static fx f1, f2;
static fx* curr = &f1;

static char command[1000001];

static char table[][7] = {
	"v^<>^v",
	"^v><v^",
	"<>v^<>",
	"><^v><",
	"oooooo",
	"xxxxxx",
	"--||--",
	"||--||",
	"\\\\\\\\//",
	"////\\\\",
};

static int indexes[] = {
	//40
	0,0,0,0,0,7,0,8,0,0,
	//50
	0,0,0,0,0,0,0,0,0,0,
	//60
	0,0,1,0,0,0,0,0,0,0,
	//70
	0,0,0,0,0,0,0,0,0,0,
	//80
	0,0,0,0,0,0,0,0,0,0,
	//90
	0,0,9,0,2,0,0,0,0,0,
	//100
	0,0,0,0,0,0,0,0,0,0,
	//110
	0,4,0,0,0,0,0,0,3,0,
	//120
	5,0,0,0,6,0,0,0,0,0,
	};

static char apply(char chr, int c) {
	//const char* chars = "<>^vox|-/\\";
	//if (!strchr(chars, chr)) printf("!!!!!%c\n",chr);
	int c_idx = indexes[chr - 40];//strchr(chars, chr) - chars;
	return table[c_idx][c];
};

static void exec(char cmd) {
	const char* commands = "<>-|\\/";
	//printf("exec %c %p %d\n",cmd,strchr(commands, cmd), strchr(commands, cmd) - commands);
	int c = strchr(commands, cmd) - commands;

	fx* new_curr;

	if (curr == &f1)
		new_curr = &f2;
	else
		new_curr = &f1;

	for (int y = 0; y < n; y++) {
		for (int x = 0; x < n; x++) {
			char nw = '#';//printf("%d %d\n", x, y);
			switch (cmd) {
				case '<': nw = curr->field[x][n - y - 1]; break;
				case '>': nw = curr->field[n - x - 1][y]; break;
				case '-': nw = curr->field[n - y - 1][x]; break;
				case '|': nw = curr->field[y][n - x - 1]; break;
				case '\\': nw = curr->field[x][y]; break;
				case '/': nw = curr->field[n - x - 1][n - y - 1]; break;
			}
			
			new_curr->field[y][x] = apply(nw, c);
		}
	}

	curr = new_curr;
}

int main() {
	while (scanf("%d", &n) > 0) {
		for (int i = 0; i < n; i++)
			scanf("%s", curr->field[i]);

		fgetc(stdin);
		fgets(command, sizeof(command), stdin);

		for (int i = 0; command[i]; i++)
			if (command[i] > ' ')
				exec(command[i]);

		for (int i = 0; i < n; i++)
			printf("%s\n", curr->field[i]);
	}
}
